package com.mortals.xhx.module.device.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.device.model.DeviceEntity;
/**
 * 设备查询对象
 *
 * @author zxfei
 * @date 2023-06-21
 */
public class DeviceQuery extends DeviceEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 设备id */
    private Long deviceIdStart;

    /** 结束 设备id */
    private Long deviceIdEnd;

    /** 增加 设备id */
    private Long deviceIdIncrement;

    /** 设备id列表 */
    private List <Long> deviceIdList;

    /** 设备id排除列表 */
    private List <Long> deviceIdNotList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** 设备的MAC地址 */
    private List<String> deviceMacList;

    /** 设备的MAC地址排除列表 */
    private List <String> deviceMacNotList;
    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编号，来源基础服务平台 */
    private List<String> siteCodeList;

    /** 站点编号，来源基础服务平台排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 产品编码 */
    private List<String> productCodeList;

    /** 产品编码排除列表 */
    private List <String> productCodeNotList;
    /** 产品名称 */
    private List<String> productNameList;

    /** 产品名称排除列表 */
    private List <String> productNameNotList;
    /** 开始 设备来源(0.子设备，1.网关设备，2.直连设备) */
    private Integer deviceSrcStart;

    /** 结束 设备来源(0.子设备，1.网关设备，2.直连设备) */
    private Integer deviceSrcEnd;

    /** 增加 设备来源(0.子设备，1.网关设备，2.直连设备) */
    private Integer deviceSrcIncrement;

    /** 设备来源(0.子设备，1.网关设备，2.直连设备)列表 */
    private List <Integer> deviceSrcList;

    /** 设备来源(0.子设备，1.网关设备，2.直连设备)排除列表 */
    private List <Integer> deviceSrcNotList;

    /** 经度 */
    private List<String> lonList;

    /** 经度排除列表 */
    private List <String> lonNotList;
    /** 纬度 */
    private List<String> latiList;

    /** 纬度排除列表 */
    private List <String> latiNotList;
    /** 负责人 */
    private List<String> leadingOfficialList;

    /** 负责人排除列表 */
    private List <String> leadingOfficialNotList;
    /** 联系电话 */
    private List<String> leadingOfficialTelephoneList;

    /** 联系电话排除列表 */
    private List <String> leadingOfficialTelephoneNotList;
    /** 开始 设备状态 (0.未激活，1.离线,2.在线) */
    private Integer deviceStatusStart;

    /** 结束 设备状态 (0.未激活，1.离线,2.在线) */
    private Integer deviceStatusEnd;

    /** 增加 设备状态 (0.未激活，1.离线,2.在线) */
    private Integer deviceStatusIncrement;

    /** 设备状态 (0.未激活，1.离线,2.在线)列表 */
    private List <Integer> deviceStatusList;

    /** 设备状态 (0.未激活，1.离线,2.在线)排除列表 */
    private List <Integer> deviceStatusNotList;

    /** 备注 */
    private List<String> deviceRemarkList;

    /** 备注排除列表 */
    private List <String> deviceRemarkNotList;
    /** 开始 设备来源(0.旧设备，1.新设备) */
    private Integer sourceStart;

    /** 结束 设备来源(0.旧设备，1.新设备) */
    private Integer sourceEnd;

    /** 增加 设备来源(0.旧设备，1.新设备) */
    private Integer sourceIncrement;

    /** 设备来源(0.旧设备，1.新设备)列表 */
    private List <Integer> sourceList;

    /** 设备来源(0.旧设备，1.新设备)排除列表 */
    private List <Integer> sourceNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 设备生产厂商ID */
    private Long deviceFirmIdStart;

    /** 结束 设备生产厂商ID */
    private Long deviceFirmIdEnd;

    /** 增加 设备生产厂商ID */
    private Long deviceFirmIdIncrement;

    /** 设备生产厂商ID列表 */
    private List <Long> deviceFirmIdList;

    /** 设备生产厂商ID排除列表 */
    private List <Long> deviceFirmIdNotList;

    /** 设备生产厂商名称 */
    private List<String> deviceFirmnameList;

    /** 设备生产厂商名称排除列表 */
    private List <String> deviceFirmnameNotList;
    /** 设备访问ip */
    private List<String> ipList;

    /** 设备访问ip排除列表 */
    private List <String> ipNotList;
    /** 端口 */
    private List<String> portList;

    /** 端口排除列表 */
    private List <String> portNotList;
    /** 开始 启用状态 (0.停止，1.启用) */
    private Integer enabledStart;

    /** 结束 启用状态 (0.停止，1.启用) */
    private Integer enabledEnd;

    /** 增加 启用状态 (0.停止，1.启用) */
    private Integer enabledIncrement;

    /** 启用状态 (0.停止，1.启用)列表 */
    private List <Integer> enabledList;

    /** 启用状态 (0.停止，1.启用)排除列表 */
    private List <Integer> enabledNotList;

    /** 开始 最近上线时间 */
    private String onlineTimeStart;

    /** 结束 最近上线时间 */
    private String onlineTimeEnd;

    /** 开始 最近离线时间 */
    private String offlineTimeStart;

    /** 结束 最近离线时间 */
    private String offlineTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceQuery> andConditionList;

    public DeviceQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 设备id
     * @return deviceIdStart
     */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
     * 设置 开始 设备id
     * @param deviceIdStart
     */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
     * 获取 结束 设备id
     * @return $deviceIdEnd
     */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
     * 设置 结束 设备id
     * @param deviceIdEnd
     */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
     * 获取 增加 设备id
     * @return deviceIdIncrement
     */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
     * 设置 增加 设备id
     * @param deviceIdIncrement
     */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
     * 获取 设备id
     * @return deviceIdList
     */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
     * 设置 设备id
     * @param deviceIdList
     */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
     * 获取 设备id
     * @return deviceIdNotList
     */
    public List<Long> getDeviceIdNotList(){
        return this.deviceIdNotList;
    }

    /**
     * 设置 设备id
     * @param deviceIdNotList
     */
    public void setDeviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
    }


    /**
     * 获取 设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeNotList
     */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeNotList
     */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
     * 获取 设备的MAC地址
     * @return deviceMacList
     */
    public List<String> getDeviceMacList(){
        return this.deviceMacList;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacList
     */
    public void setDeviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
    }

    /**
     * 获取 设备的MAC地址
     * @return deviceMacNotList
     */
    public List<String> getDeviceMacNotList(){
        return this.deviceMacNotList;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacNotList
     */
    public void setDeviceMacNotList(List<String> deviceMacNotList){
        this.deviceMacNotList = deviceMacNotList;
    }

    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点编号，来源基础服务平台
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编号，来源基础服务平台
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 产品编码
     * @return productCodeList
     */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
     * 设置 产品编码
     * @param productCodeList
     */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
     * 获取 产品编码
     * @return productCodeNotList
     */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
     * 设置 产品编码
     * @param productCodeNotList
     */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
     * 获取 产品名称
     * @return productNameList
     */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
     * 设置 产品名称
     * @param productNameList
     */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }

    /**
     * 获取 产品名称
     * @return productNameNotList
     */
    public List<String> getProductNameNotList(){
        return this.productNameNotList;
    }

    /**
     * 设置 产品名称
     * @param productNameNotList
     */
    public void setProductNameNotList(List<String> productNameNotList){
        this.productNameNotList = productNameNotList;
    }

    /**
     * 获取 开始 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @return deviceSrcStart
     */
    public Integer getDeviceSrcStart(){
        return this.deviceSrcStart;
    }

    /**
     * 设置 开始 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcStart
     */
    public void setDeviceSrcStart(Integer deviceSrcStart){
        this.deviceSrcStart = deviceSrcStart;
    }

    /**
     * 获取 结束 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @return $deviceSrcEnd
     */
    public Integer getDeviceSrcEnd(){
        return this.deviceSrcEnd;
    }

    /**
     * 设置 结束 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcEnd
     */
    public void setDeviceSrcEnd(Integer deviceSrcEnd){
        this.deviceSrcEnd = deviceSrcEnd;
    }

    /**
     * 获取 增加 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @return deviceSrcIncrement
     */
    public Integer getDeviceSrcIncrement(){
        return this.deviceSrcIncrement;
    }

    /**
     * 设置 增加 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcIncrement
     */
    public void setDeviceSrcIncrement(Integer deviceSrcIncrement){
        this.deviceSrcIncrement = deviceSrcIncrement;
    }

    /**
     * 获取 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @return deviceSrcList
     */
    public List<Integer> getDeviceSrcList(){
        return this.deviceSrcList;
    }

    /**
     * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcList
     */
    public void setDeviceSrcList(List<Integer> deviceSrcList){
        this.deviceSrcList = deviceSrcList;
    }

    /**
     * 获取 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @return deviceSrcNotList
     */
    public List<Integer> getDeviceSrcNotList(){
        return this.deviceSrcNotList;
    }

    /**
     * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcNotList
     */
    public void setDeviceSrcNotList(List<Integer> deviceSrcNotList){
        this.deviceSrcNotList = deviceSrcNotList;
    }


    /**
     * 获取 经度
     * @return lonList
     */
    public List<String> getLonList(){
        return this.lonList;
    }

    /**
     * 设置 经度
     * @param lonList
     */
    public void setLonList(List<String> lonList){
        this.lonList = lonList;
    }

    /**
     * 获取 经度
     * @return lonNotList
     */
    public List<String> getLonNotList(){
        return this.lonNotList;
    }

    /**
     * 设置 经度
     * @param lonNotList
     */
    public void setLonNotList(List<String> lonNotList){
        this.lonNotList = lonNotList;
    }

    /**
     * 获取 纬度
     * @return latiList
     */
    public List<String> getLatiList(){
        return this.latiList;
    }

    /**
     * 设置 纬度
     * @param latiList
     */
    public void setLatiList(List<String> latiList){
        this.latiList = latiList;
    }

    /**
     * 获取 纬度
     * @return latiNotList
     */
    public List<String> getLatiNotList(){
        return this.latiNotList;
    }

    /**
     * 设置 纬度
     * @param latiNotList
     */
    public void setLatiNotList(List<String> latiNotList){
        this.latiNotList = latiNotList;
    }

    /**
     * 获取 负责人
     * @return leadingOfficialList
     */
    public List<String> getLeadingOfficialList(){
        return this.leadingOfficialList;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialList
     */
    public void setLeadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
    }

    /**
     * 获取 负责人
     * @return leadingOfficialNotList
     */
    public List<String> getLeadingOfficialNotList(){
        return this.leadingOfficialNotList;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialNotList
     */
    public void setLeadingOfficialNotList(List<String> leadingOfficialNotList){
        this.leadingOfficialNotList = leadingOfficialNotList;
    }

    /**
     * 获取 联系电话
     * @return leadingOfficialTelephoneList
     */
    public List<String> getLeadingOfficialTelephoneList(){
        return this.leadingOfficialTelephoneList;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneList
     */
    public void setLeadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
    }

    /**
     * 获取 联系电话
     * @return leadingOfficialTelephoneNotList
     */
    public List<String> getLeadingOfficialTelephoneNotList(){
        return this.leadingOfficialTelephoneNotList;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneNotList
     */
    public void setLeadingOfficialTelephoneNotList(List<String> leadingOfficialTelephoneNotList){
        this.leadingOfficialTelephoneNotList = leadingOfficialTelephoneNotList;
    }

    /**
     * 获取 开始 设备状态 (0.未激活，1.离线,2.在线)
     * @return deviceStatusStart
     */
    public Integer getDeviceStatusStart(){
        return this.deviceStatusStart;
    }

    /**
     * 设置 开始 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusStart
     */
    public void setDeviceStatusStart(Integer deviceStatusStart){
        this.deviceStatusStart = deviceStatusStart;
    }

    /**
     * 获取 结束 设备状态 (0.未激活，1.离线,2.在线)
     * @return $deviceStatusEnd
     */
    public Integer getDeviceStatusEnd(){
        return this.deviceStatusEnd;
    }

    /**
     * 设置 结束 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusEnd
     */
    public void setDeviceStatusEnd(Integer deviceStatusEnd){
        this.deviceStatusEnd = deviceStatusEnd;
    }

    /**
     * 获取 增加 设备状态 (0.未激活，1.离线,2.在线)
     * @return deviceStatusIncrement
     */
    public Integer getDeviceStatusIncrement(){
        return this.deviceStatusIncrement;
    }

    /**
     * 设置 增加 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusIncrement
     */
    public void setDeviceStatusIncrement(Integer deviceStatusIncrement){
        this.deviceStatusIncrement = deviceStatusIncrement;
    }

    /**
     * 获取 设备状态 (0.未激活，1.离线,2.在线)
     * @return deviceStatusList
     */
    public List<Integer> getDeviceStatusList(){
        return this.deviceStatusList;
    }

    /**
     * 设置 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusList
     */
    public void setDeviceStatusList(List<Integer> deviceStatusList){
        this.deviceStatusList = deviceStatusList;
    }

    /**
     * 获取 设备状态 (0.未激活，1.离线,2.在线)
     * @return deviceStatusNotList
     */
    public List<Integer> getDeviceStatusNotList(){
        return this.deviceStatusNotList;
    }

    /**
     * 设置 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusNotList
     */
    public void setDeviceStatusNotList(List<Integer> deviceStatusNotList){
        this.deviceStatusNotList = deviceStatusNotList;
    }


    /**
     * 获取 备注
     * @return deviceRemarkList
     */
    public List<String> getDeviceRemarkList(){
        return this.deviceRemarkList;
    }

    /**
     * 设置 备注
     * @param deviceRemarkList
     */
    public void setDeviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
    }

    /**
     * 获取 备注
     * @return deviceRemarkNotList
     */
    public List<String> getDeviceRemarkNotList(){
        return this.deviceRemarkNotList;
    }

    /**
     * 设置 备注
     * @param deviceRemarkNotList
     */
    public void setDeviceRemarkNotList(List<String> deviceRemarkNotList){
        this.deviceRemarkNotList = deviceRemarkNotList;
    }

    /**
     * 获取 开始 设备来源(0.旧设备，1.新设备)
     * @return sourceStart
     */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
     * 设置 开始 设备来源(0.旧设备，1.新设备)
     * @param sourceStart
     */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
     * 获取 结束 设备来源(0.旧设备，1.新设备)
     * @return $sourceEnd
     */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
     * 设置 结束 设备来源(0.旧设备，1.新设备)
     * @param sourceEnd
     */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
     * 获取 增加 设备来源(0.旧设备，1.新设备)
     * @return sourceIncrement
     */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
     * 设置 增加 设备来源(0.旧设备，1.新设备)
     * @param sourceIncrement
     */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
     * 获取 设备来源(0.旧设备，1.新设备)
     * @return sourceList
     */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
     * 设置 设备来源(0.旧设备，1.新设备)
     * @param sourceList
     */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
     * 获取 设备来源(0.旧设备，1.新设备)
     * @return sourceNotList
     */
    public List<Integer> getSourceNotList(){
        return this.sourceNotList;
    }

    /**
     * 设置 设备来源(0.旧设备，1.新设备)
     * @param sourceNotList
     */
    public void setSourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 设备生产厂商ID
     * @return deviceFirmIdStart
     */
    public Long getDeviceFirmIdStart(){
        return this.deviceFirmIdStart;
    }

    /**
     * 设置 开始 设备生产厂商ID
     * @param deviceFirmIdStart
     */
    public void setDeviceFirmIdStart(Long deviceFirmIdStart){
        this.deviceFirmIdStart = deviceFirmIdStart;
    }

    /**
     * 获取 结束 设备生产厂商ID
     * @return $deviceFirmIdEnd
     */
    public Long getDeviceFirmIdEnd(){
        return this.deviceFirmIdEnd;
    }

    /**
     * 设置 结束 设备生产厂商ID
     * @param deviceFirmIdEnd
     */
    public void setDeviceFirmIdEnd(Long deviceFirmIdEnd){
        this.deviceFirmIdEnd = deviceFirmIdEnd;
    }

    /**
     * 获取 增加 设备生产厂商ID
     * @return deviceFirmIdIncrement
     */
    public Long getDeviceFirmIdIncrement(){
        return this.deviceFirmIdIncrement;
    }

    /**
     * 设置 增加 设备生产厂商ID
     * @param deviceFirmIdIncrement
     */
    public void setDeviceFirmIdIncrement(Long deviceFirmIdIncrement){
        this.deviceFirmIdIncrement = deviceFirmIdIncrement;
    }

    /**
     * 获取 设备生产厂商ID
     * @return deviceFirmIdList
     */
    public List<Long> getDeviceFirmIdList(){
        return this.deviceFirmIdList;
    }

    /**
     * 设置 设备生产厂商ID
     * @param deviceFirmIdList
     */
    public void setDeviceFirmIdList(List<Long> deviceFirmIdList){
        this.deviceFirmIdList = deviceFirmIdList;
    }

    /**
     * 获取 设备生产厂商ID
     * @return deviceFirmIdNotList
     */
    public List<Long> getDeviceFirmIdNotList(){
        return this.deviceFirmIdNotList;
    }

    /**
     * 设置 设备生产厂商ID
     * @param deviceFirmIdNotList
     */
    public void setDeviceFirmIdNotList(List<Long> deviceFirmIdNotList){
        this.deviceFirmIdNotList = deviceFirmIdNotList;
    }


    /**
     * 获取 设备生产厂商名称
     * @return deviceFirmnameList
     */
    public List<String> getDeviceFirmnameList(){
        return this.deviceFirmnameList;
    }

    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmnameList
     */
    public void setDeviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
    }

    /**
     * 获取 设备生产厂商名称
     * @return deviceFirmnameNotList
     */
    public List<String> getDeviceFirmnameNotList(){
        return this.deviceFirmnameNotList;
    }

    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmnameNotList
     */
    public void setDeviceFirmnameNotList(List<String> deviceFirmnameNotList){
        this.deviceFirmnameNotList = deviceFirmnameNotList;
    }

    /**
     * 获取 设备访问ip
     * @return ipList
     */
    public List<String> getIpList(){
        return this.ipList;
    }

    /**
     * 设置 设备访问ip
     * @param ipList
     */
    public void setIpList(List<String> ipList){
        this.ipList = ipList;
    }

    /**
     * 获取 设备访问ip
     * @return ipNotList
     */
    public List<String> getIpNotList(){
        return this.ipNotList;
    }

    /**
     * 设置 设备访问ip
     * @param ipNotList
     */
    public void setIpNotList(List<String> ipNotList){
        this.ipNotList = ipNotList;
    }

    /**
     * 获取 端口
     * @return portList
     */
    public List<String> getPortList(){
        return this.portList;
    }

    /**
     * 设置 端口
     * @param portList
     */
    public void setPortList(List<String> portList){
        this.portList = portList;
    }

    /**
     * 获取 端口
     * @return portNotList
     */
    public List<String> getPortNotList(){
        return this.portNotList;
    }

    /**
     * 设置 端口
     * @param portNotList
     */
    public void setPortNotList(List<String> portNotList){
        this.portNotList = portNotList;
    }

    /**
     * 获取 开始 启用状态 (0.停止，1.启用)
     * @return enabledStart
     */
    public Integer getEnabledStart(){
        return this.enabledStart;
    }

    /**
     * 设置 开始 启用状态 (0.停止，1.启用)
     * @param enabledStart
     */
    public void setEnabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
    }

    /**
     * 获取 结束 启用状态 (0.停止，1.启用)
     * @return $enabledEnd
     */
    public Integer getEnabledEnd(){
        return this.enabledEnd;
    }

    /**
     * 设置 结束 启用状态 (0.停止，1.启用)
     * @param enabledEnd
     */
    public void setEnabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
    }

    /**
     * 获取 增加 启用状态 (0.停止，1.启用)
     * @return enabledIncrement
     */
    public Integer getEnabledIncrement(){
        return this.enabledIncrement;
    }

    /**
     * 设置 增加 启用状态 (0.停止，1.启用)
     * @param enabledIncrement
     */
    public void setEnabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
    }

    /**
     * 获取 启用状态 (0.停止，1.启用)
     * @return enabledList
     */
    public List<Integer> getEnabledList(){
        return this.enabledList;
    }

    /**
     * 设置 启用状态 (0.停止，1.启用)
     * @param enabledList
     */
    public void setEnabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
    }

    /**
     * 获取 启用状态 (0.停止，1.启用)
     * @return enabledNotList
     */
    public List<Integer> getEnabledNotList(){
        return this.enabledNotList;
    }

    /**
     * 设置 启用状态 (0.停止，1.启用)
     * @param enabledNotList
     */
    public void setEnabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
    }


    /**
     * 获取 开始 最近上线时间
     * @return onlineTimeStart
     */
    public String getOnlineTimeStart(){
        return this.onlineTimeStart;
    }

    /**
     * 设置 开始 最近上线时间
     * @param onlineTimeStart
     */
    public void setOnlineTimeStart(String onlineTimeStart){
        this.onlineTimeStart = onlineTimeStart;
    }

    /**
     * 获取 结束 最近上线时间
     * @return onlineTimeEnd
     */
    public String getOnlineTimeEnd(){
        return this.onlineTimeEnd;
    }

    /**
     * 设置 结束 最近上线时间
     * @param onlineTimeEnd
     */
    public void setOnlineTimeEnd(String onlineTimeEnd){
        this.onlineTimeEnd = onlineTimeEnd;
    }

    /**
     * 获取 开始 最近离线时间
     * @return offlineTimeStart
     */
    public String getOfflineTimeStart(){
        return this.offlineTimeStart;
    }

    /**
     * 设置 开始 最近离线时间
     * @param offlineTimeStart
     */
    public void setOfflineTimeStart(String offlineTimeStart){
        this.offlineTimeStart = offlineTimeStart;
    }

    /**
     * 获取 结束 最近离线时间
     * @return offlineTimeEnd
     */
    public String getOfflineTimeEnd(){
        return this.offlineTimeEnd;
    }

    /**
     * 设置 结束 最近离线时间
     * @param offlineTimeEnd
     */
    public void setOfflineTimeEnd(String offlineTimeEnd){
        this.offlineTimeEnd = offlineTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeviceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  设备id
     * @param deviceId
     */
    public DeviceQuery deviceId(Long deviceId){
        setDeviceId(deviceId);
        return this;
    }

    /**
     * 设置 开始 设备id
     * @param deviceIdStart
     */
    public DeviceQuery deviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
        return this;
    }

    /**
     * 设置 结束 设备id
     * @param deviceIdEnd
     */
    public DeviceQuery deviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
        return this;
    }

    /**
     * 设置 增加 设备id
     * @param deviceIdIncrement
     */
    public DeviceQuery deviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
        return this;
    }

    /**
     * 设置 设备id
     * @param deviceIdList
     */
    public DeviceQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
        return this;
    }

    /**
     * 设置 设备id
     * @param deviceIdNotList
     */
    public DeviceQuery deviceIdNotList(List<Long> deviceIdNotList){
        this.deviceIdNotList = deviceIdNotList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param deviceName
     */
    public DeviceQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public DeviceQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }


    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public DeviceQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public DeviceQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }


    /**
     * 设置 设备的MAC地址
     * @param deviceMac
     */
    public DeviceQuery deviceMac(String deviceMac){
        setDeviceMac(deviceMac);
        return this;
    }

    /**
     * 设置 设备的MAC地址
     * @param deviceMacList
     */
    public DeviceQuery deviceMacList(List<String> deviceMacList){
        this.deviceMacList = deviceMacList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public DeviceQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public DeviceQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public DeviceQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public DeviceQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public DeviceQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public DeviceQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCode
     */
    public DeviceQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编号，来源基础服务平台
     * @param siteCodeList
     */
    public DeviceQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public DeviceQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public DeviceQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }


    /**
     * 设置 产品编码
     * @param productCode
     */
    public DeviceQuery productCode(String productCode){
        setProductCode(productCode);
        return this;
    }

    /**
     * 设置 产品编码
     * @param productCodeList
     */
    public DeviceQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
        return this;
    }


    /**
     * 设置 产品名称
     * @param productName
     */
    public DeviceQuery productName(String productName){
        setProductName(productName);
        return this;
    }

    /**
     * 设置 产品名称
     * @param productNameList
     */
    public DeviceQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
        return this;
    }

    /**
     * 设置  设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrc
     */
    public DeviceQuery deviceSrc(Integer deviceSrc){
        setDeviceSrc(deviceSrc);
        return this;
    }

    /**
     * 设置 开始 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcStart
     */
    public DeviceQuery deviceSrcStart(Integer deviceSrcStart){
        this.deviceSrcStart = deviceSrcStart;
        return this;
    }

    /**
     * 设置 结束 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcEnd
     */
    public DeviceQuery deviceSrcEnd(Integer deviceSrcEnd){
        this.deviceSrcEnd = deviceSrcEnd;
        return this;
    }

    /**
     * 设置 增加 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcIncrement
     */
    public DeviceQuery deviceSrcIncrement(Integer deviceSrcIncrement){
        this.deviceSrcIncrement = deviceSrcIncrement;
        return this;
    }

    /**
     * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcList
     */
    public DeviceQuery deviceSrcList(List<Integer> deviceSrcList){
        this.deviceSrcList = deviceSrcList;
        return this;
    }

    /**
     * 设置 设备来源(0.子设备，1.网关设备，2.直连设备)
     * @param deviceSrcNotList
     */
    public DeviceQuery deviceSrcNotList(List<Integer> deviceSrcNotList){
        this.deviceSrcNotList = deviceSrcNotList;
        return this;
    }


    /**
     * 设置 经度
     * @param lon
     */
    public DeviceQuery lon(String lon){
        setLon(lon);
        return this;
    }

    /**
     * 设置 经度
     * @param lonList
     */
    public DeviceQuery lonList(List<String> lonList){
        this.lonList = lonList;
        return this;
    }


    /**
     * 设置 纬度
     * @param lati
     */
    public DeviceQuery lati(String lati){
        setLati(lati);
        return this;
    }

    /**
     * 设置 纬度
     * @param latiList
     */
    public DeviceQuery latiList(List<String> latiList){
        this.latiList = latiList;
        return this;
    }


    /**
     * 设置 负责人
     * @param leadingOfficial
     */
    public DeviceQuery leadingOfficial(String leadingOfficial){
        setLeadingOfficial(leadingOfficial);
        return this;
    }

    /**
     * 设置 负责人
     * @param leadingOfficialList
     */
    public DeviceQuery leadingOfficialList(List<String> leadingOfficialList){
        this.leadingOfficialList = leadingOfficialList;
        return this;
    }


    /**
     * 设置 联系电话
     * @param leadingOfficialTelephone
     */
    public DeviceQuery leadingOfficialTelephone(String leadingOfficialTelephone){
        setLeadingOfficialTelephone(leadingOfficialTelephone);
        return this;
    }

    /**
     * 设置 联系电话
     * @param leadingOfficialTelephoneList
     */
    public DeviceQuery leadingOfficialTelephoneList(List<String> leadingOfficialTelephoneList){
        this.leadingOfficialTelephoneList = leadingOfficialTelephoneList;
        return this;
    }

    /**
     * 设置  设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatus
     */
    public DeviceQuery deviceStatus(Integer deviceStatus){
        setDeviceStatus(deviceStatus);
        return this;
    }

    /**
     * 设置 开始 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusStart
     */
    public DeviceQuery deviceStatusStart(Integer deviceStatusStart){
        this.deviceStatusStart = deviceStatusStart;
        return this;
    }

    /**
     * 设置 结束 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusEnd
     */
    public DeviceQuery deviceStatusEnd(Integer deviceStatusEnd){
        this.deviceStatusEnd = deviceStatusEnd;
        return this;
    }

    /**
     * 设置 增加 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusIncrement
     */
    public DeviceQuery deviceStatusIncrement(Integer deviceStatusIncrement){
        this.deviceStatusIncrement = deviceStatusIncrement;
        return this;
    }

    /**
     * 设置 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusList
     */
    public DeviceQuery deviceStatusList(List<Integer> deviceStatusList){
        this.deviceStatusList = deviceStatusList;
        return this;
    }

    /**
     * 设置 设备状态 (0.未激活，1.离线,2.在线)
     * @param deviceStatusNotList
     */
    public DeviceQuery deviceStatusNotList(List<Integer> deviceStatusNotList){
        this.deviceStatusNotList = deviceStatusNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param deviceRemark
     */
    public DeviceQuery deviceRemark(String deviceRemark){
        setDeviceRemark(deviceRemark);
        return this;
    }

    /**
     * 设置 备注
     * @param deviceRemarkList
     */
    public DeviceQuery deviceRemarkList(List<String> deviceRemarkList){
        this.deviceRemarkList = deviceRemarkList;
        return this;
    }

    /**
     * 设置  设备来源(0.旧设备，1.新设备)
     * @param source
     */
    public DeviceQuery source(Integer source){
        setSource(source);
        return this;
    }

    /**
     * 设置 开始 设备来源(0.旧设备，1.新设备)
     * @param sourceStart
     */
    public DeviceQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
        return this;
    }

    /**
     * 设置 结束 设备来源(0.旧设备，1.新设备)
     * @param sourceEnd
     */
    public DeviceQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
        return this;
    }

    /**
     * 设置 增加 设备来源(0.旧设备，1.新设备)
     * @param sourceIncrement
     */
    public DeviceQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
        return this;
    }

    /**
     * 设置 设备来源(0.旧设备，1.新设备)
     * @param sourceList
     */
    public DeviceQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
        return this;
    }

    /**
     * 设置 设备来源(0.旧设备，1.新设备)
     * @param sourceNotList
     */
    public DeviceQuery sourceNotList(List<Integer> sourceNotList){
        this.sourceNotList = sourceNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeviceQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeviceQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeviceQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeviceQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeviceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DeviceQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DeviceQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  设备生产厂商ID
     * @param deviceFirmId
     */
    public DeviceQuery deviceFirmId(Long deviceFirmId){
        setDeviceFirmId(deviceFirmId);
        return this;
    }

    /**
     * 设置 开始 设备生产厂商ID
     * @param deviceFirmIdStart
     */
    public DeviceQuery deviceFirmIdStart(Long deviceFirmIdStart){
        this.deviceFirmIdStart = deviceFirmIdStart;
        return this;
    }

    /**
     * 设置 结束 设备生产厂商ID
     * @param deviceFirmIdEnd
     */
    public DeviceQuery deviceFirmIdEnd(Long deviceFirmIdEnd){
        this.deviceFirmIdEnd = deviceFirmIdEnd;
        return this;
    }

    /**
     * 设置 增加 设备生产厂商ID
     * @param deviceFirmIdIncrement
     */
    public DeviceQuery deviceFirmIdIncrement(Long deviceFirmIdIncrement){
        this.deviceFirmIdIncrement = deviceFirmIdIncrement;
        return this;
    }

    /**
     * 设置 设备生产厂商ID
     * @param deviceFirmIdList
     */
    public DeviceQuery deviceFirmIdList(List<Long> deviceFirmIdList){
        this.deviceFirmIdList = deviceFirmIdList;
        return this;
    }

    /**
     * 设置 设备生产厂商ID
     * @param deviceFirmIdNotList
     */
    public DeviceQuery deviceFirmIdNotList(List<Long> deviceFirmIdNotList){
        this.deviceFirmIdNotList = deviceFirmIdNotList;
        return this;
    }


    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmname
     */
    public DeviceQuery deviceFirmname(String deviceFirmname){
        setDeviceFirmname(deviceFirmname);
        return this;
    }

    /**
     * 设置 设备生产厂商名称
     * @param deviceFirmnameList
     */
    public DeviceQuery deviceFirmnameList(List<String> deviceFirmnameList){
        this.deviceFirmnameList = deviceFirmnameList;
        return this;
    }


    /**
     * 设置 设备访问ip
     * @param ip
     */
    public DeviceQuery ip(String ip){
        setIp(ip);
        return this;
    }

    /**
     * 设置 设备访问ip
     * @param ipList
     */
    public DeviceQuery ipList(List<String> ipList){
        this.ipList = ipList;
        return this;
    }


    /**
     * 设置 端口
     * @param port
     */
    public DeviceQuery port(String port){
        setPort(port);
        return this;
    }

    /**
     * 设置 端口
     * @param portList
     */
    public DeviceQuery portList(List<String> portList){
        this.portList = portList;
        return this;
    }

    /**
     * 设置  启用状态 (0.停止，1.启用)
     * @param enabled
     */
    public DeviceQuery enabled(Integer enabled){
        setEnabled(enabled);
        return this;
    }

    /**
     * 设置 开始 启用状态 (0.停止，1.启用)
     * @param enabledStart
     */
    public DeviceQuery enabledStart(Integer enabledStart){
        this.enabledStart = enabledStart;
        return this;
    }

    /**
     * 设置 结束 启用状态 (0.停止，1.启用)
     * @param enabledEnd
     */
    public DeviceQuery enabledEnd(Integer enabledEnd){
        this.enabledEnd = enabledEnd;
        return this;
    }

    /**
     * 设置 增加 启用状态 (0.停止，1.启用)
     * @param enabledIncrement
     */
    public DeviceQuery enabledIncrement(Integer enabledIncrement){
        this.enabledIncrement = enabledIncrement;
        return this;
    }

    /**
     * 设置 启用状态 (0.停止，1.启用)
     * @param enabledList
     */
    public DeviceQuery enabledList(List<Integer> enabledList){
        this.enabledList = enabledList;
        return this;
    }

    /**
     * 设置 启用状态 (0.停止，1.启用)
     * @param enabledNotList
     */
    public DeviceQuery enabledNotList(List<Integer> enabledNotList){
        this.enabledNotList = enabledNotList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}